%define upstream_version 20181211

Name:           hyphen-grc
Version:        0.%{upstream_version}
Release:        %mkrel 2
Summary:        Ancient Greek hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        https://github.com/hyphenation/tex-hyphen/raw/master/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-grc.tex
Patch0:         hyphen-grc-2.5-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen

%description
Ancient Greek hyphenation rules.


%prep
%setup -T -q -c
cp -p %{SOURCE0} .
%patch0 -p0 -b .clean

%build
grep -v "^%" hyph-grc.tex | tr ' ' '\n' > temp.tex
substrings.pl temp.tex temp.dic UTF-8
LANG=el_GR.utf8 uniq temp.dic > hyph_grc_GR.dic
echo "created with substring.pl by substrings.pl hyph-grc.tex hyph_grc_GR.dic UTF-8" > README
echo "---" >> README
head -n 33 hyph-grc.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_grc_GR.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.20181211-2.mga8
+ Revision: 1537785
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 zezinho <zezinho> 0.20181211-1.mga8
+ Revision: 1459070
- latest upstream updates

* Tue Sep 18 2018 umeabot <umeabot> 0.20100531-8.mga7
+ Revision: 1262194
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.20100531-7.mga6
+ Revision: 935101
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20100531-6.mga5
+ Revision: 742206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20100531-5.mga5
+ Revision: 680360
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20100531-4.mga4
+ Revision: 505933
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 353910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194648
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70032
- fix group
- imported package hyphen-grc


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Wed Oct 14 2009 Caolán McNamara <caolanm@redhat.com> - 0.20080616-1
- initial version
